<?php
    if (empty($notifications)) {
        // Уведомления не найдены

        $content = <<<HTML
                <p class="px-2 py-4 text-center">Уведомлений нет</p>
            HTML;
    } else {
        // Уведомления найдены

        // Инициализация
        $content = '';

        foreach ($notifications as $notification) {
            // Перебор уведомлений

            // Инициализация
            $notification = $notification->getAttributes();

            if ($notification['type'] === 'notice') {
                // Уведомление

                $content .= $notification['html'];
            } else if ($notification['type'] === 'warning') {
                // Предупреждение

                $content .= $notification['html'];
            } else {
                // Неизвестно

                $content .= $notification['html'] ?? '<p>ОШИБКА</p>';
            }
        }
    }

    if($notifications_panel_full ?? false) {
        echo <<<HTML
            <div id="notification_button_panel" class="dropdown-menu p-2" aria-labelledby="notification_button">
                $content
            </div>
        HTML;
    } else {
        echo $content;
    }
?>